Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ScheduledWorkflowActionOffset

    public interface ScheduledWorkflowActionOffset

Represents a `ScheduledWorkflowAction` date offset

Method Summary
`int` | `getDays()` Returns the number of days specified in this `ScheduledWorkflowActionOffset`
`int` | `getHours()` Returns the number of hours specified in this `ScheduledWorkflowActionOffset`
`int` | `getMinutes()` Returns the number of minutes specified in this `ScheduledWorkflowActionOffset`
`int` | `getMonths()` Returns the number of months specified in this `ScheduledWorkflowActionOffset`
`int` | `getYears()` Returns the number of years specified in this `ScheduledWorkflowActionOffset`
`boolean` | `isAdditive()` Specifies if this `ScheduledWorkflowActionOffset` should add to (rather than minus from) the base date

Method Detail

### getYears

    int getYears()

  Returns the number of years specified in this `ScheduledWorkflowActionOffset`

  Returns:
    the number of years specified in this `ScheduledWorkflowActionOffset`

### getMonths

    int getMonths()

  Returns the number of months specified in this `ScheduledWorkflowActionOffset`

  Returns:
    the number of months specified in this `ScheduledWorkflowActionOffset`

### getDays

    int getDays()

  Returns the number of days specified in this `ScheduledWorkflowActionOffset`

  Returns:
    the number of days specified in this `ScheduledWorkflowActionOffset`

### getHours

    int getHours()

  Returns the number of hours specified in this `ScheduledWorkflowActionOffset`

  Returns:
    the number of hours specified in this `ScheduledWorkflowActionOffset`

### getMinutes

    int getMinutes()

  Returns the number of minutes specified in this `ScheduledWorkflowActionOffset`

  Returns:
    the number of minutes specified in this `ScheduledWorkflowActionOffset`

### isAdditive

    boolean isAdditive()

  Specifies if this `ScheduledWorkflowActionOffset` should add to (rather than minus from) the base date

  Returns:
    true if this `ScheduledWorkflowActionOffset` should add to (rather than minus from) the base date, false otherwise

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD